Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.logging
[Java] Interface Logger

    public interface Logger
    extends org.slf4j.Logger

An extension to the SLF4J `Logger` interface, which adds the `quiet` and `lifecycle` log levels.

You can obtain a `Logger` instance using Logging.getLogger or Logging.getLogger. A `Logger` instance is also available through Project.getLogger, Task.getLogger and Script.getLogger.

Field Summary

Fields inherited from interface org.slf4j.Logger
ROOT_LOGGER_NAME

Method Summary
`void` | `info(java.lang.String message, java.lang.Object... objects)` Logs the given message at info log level.
`boolean` | `isEnabled(LogLevel level)` Returns true if the given log level is enabled for this logger.
`boolean` | `isLifecycleEnabled()` Returns true if lifecycle log level is enabled for this logger.
`boolean` | `isQuietEnabled()` Returns true if quiet log level is enabled for this logger.
`void` | `lifecycle(java.lang.String message)` Logs the given message at lifecycle log level.
`void` | `lifecycle(java.lang.String message, java.lang.Object... objects)` Logs the given message at lifecycle log level.
`void` | `lifecycle(java.lang.String message, java.lang.Throwable throwable)` Logs the given message at lifecycle log level.
`void` | `log(LogLevel level, java.lang.String message)` Logs the given message at the given log level.
`void` | `log(LogLevel level, java.lang.String message, java.lang.Object... objects)` Logs the given message at the given log level.
`void` | `log(LogLevel level, java.lang.String message, java.lang.Throwable throwable)` Logs the given message at the given log level.
`void` | `quiet(java.lang.String message)` Logs the given message at quiet log level.
`void` | `quiet(java.lang.String message, java.lang.Object... objects)` Logs the given message at quiet log level.
`void` | `quiet(java.lang.String message, java.lang.Throwable throwable)` Logs the given message at quiet log level.

Methods inherited from interface org.slf4j.Logger
org.slf4j.Logger#getName(), org.slf4j.Logger#trace(java.lang.String), org.slf4j.Logger#trace(java.lang.String, java.lang.Object), org.slf4j.Logger#trace(java.lang.String, java.lang.Object, java.lang.Object), org.slf4j.Logger#trace(java.lang.String, [Ljava.lang.Object;), org.slf4j.Logger#trace(java.lang.String, java.lang.Throwable), org.slf4j.Logger#trace(org.slf4j.Marker, java.lang.String), org.slf4j.Logger#trace(org.slf4j.Marker, java.lang.String, java.lang.Object), org.slf4j.Logger#trace(org.slf4j.Marker, java.lang.String, java.lang.Object, java.lang.Object), org.slf4j.Logger#trace(org.slf4j.Marker, java.lang.String, [Ljava.lang.Object;), org.slf4j.Logger#trace(org.slf4j.Marker, java.lang.String, java.lang.Throwable), org.slf4j.Logger#debug(java.lang.String), org.slf4j.Logger#debug(java.lang.String, java.lang.Object), org.slf4j.Logger#debug(java.lang.String, java.lang.Object, java.lang.Object), org.slf4j.Logger#debug(java.lang.String, [Ljava.lang.Object;), org.slf4j.Logger#debug(java.lang.String, java.lang.Throwable), org.slf4j.Logger#debug(org.slf4j.Marker, java.lang.String), org.slf4j.Logger#debug(org.slf4j.Marker, java.lang.String, java.lang.Object), org.slf4j.Logger#debug(org.slf4j.Marker, java.lang.String, java.lang.Object, java.lang.Object), org.slf4j.Logger#debug(org.slf4j.Marker, java.lang.String, [Ljava.lang.Object;), org.slf4j.Logger#debug(org.slf4j.Marker, java.lang.String, java.lang.Throwable), org.slf4j.Logger#error(java.lang.String), org.slf4j.Logger#error(java.lang.String, java.lang.Object), org.slf4j.Logger#error(java.lang.String, java.lang.Object, java.lang.Object), org.slf4j.Logger#error(java.lang.String, [Ljava.lang.Object;), org.slf4j.Logger#error(java.lang.String, java.lang.Throwable), org.slf4j.Logger#error(org.slf4j.Marker, java.lang.String), org.slf4j.Logger#error(org.slf4j.Marker, java.lang.String, java.lang.Object), org.slf4j.Logger#error(org.slf4j.Marker, java.lang.String, java.lang.Object, java.lang.Object), org.slf4j.Logger#error(org.slf4j.Marker, java.lang.String, [Ljava.lang.Object;), org.slf4j.Logger#error(org.slf4j.Marker, java.lang.String, java.lang.Throwable), org.slf4j.Logger#info(java.lang.String), org.slf4j.Logger#info(java.lang.String, java.lang.Object), org.slf4j.Logger#info(java.lang.String, java.lang.Object, java.lang.Object), org.slf4j.Logger#info(java.lang.String, [Ljava.lang.Object;), org.slf4j.Logger#info(java.lang.String, java.lang.Throwable), org.slf4j.Logger#info(org.slf4j.Marker, java.lang.String), org.slf4j.Logger#info(org.slf4j.Marker, java.lang.String, java.lang.Object), org.slf4j.Logger#info(org.slf4j.Marker, java.lang.String, java.lang.Object, java.lang.Object), org.slf4j.Logger#info(org.slf4j.Marker, java.lang.String, [Ljava.lang.Object;), org.slf4j.Logger#info(org.slf4j.Marker, java.lang.String, java.lang.Throwable), org.slf4j.Logger#isDebugEnabled(), org.slf4j.Logger#isDebugEnabled(org.slf4j.Marker), org.slf4j.Logger#isInfoEnabled(), org.slf4j.Logger#isInfoEnabled(org.slf4j.Marker), org.slf4j.Logger#isWarnEnabled(), org.slf4j.Logger#isWarnEnabled(org.slf4j.Marker), org.slf4j.Logger#warn(java.lang.String), org.slf4j.Logger#warn(java.lang.String, java.lang.Object), org.slf4j.Logger#warn(java.lang.String, [Ljava.lang.Object;), org.slf4j.Logger#warn(java.lang.String, java.lang.Object, java.lang.Object), org.slf4j.Logger#warn(java.lang.String, java.lang.Throwable), org.slf4j.Logger#warn(org.slf4j.Marker, java.lang.String), org.slf4j.Logger#warn(org.slf4j.Marker, java.lang.String, java.lang.Object), org.slf4j.Logger#warn(org.slf4j.Marker, java.lang.String, java.lang.Object, java.lang.Object), org.slf4j.Logger#warn(org.slf4j.Marker, java.lang.String, [Ljava.lang.Object;), org.slf4j.Logger#warn(org.slf4j.Marker, java.lang.String, java.lang.Throwable), org.slf4j.Logger#isErrorEnabled(), org.slf4j.Logger#isErrorEnabled(org.slf4j.Marker), org.slf4j.Logger#isTraceEnabled(), org.slf4j.Logger#isTraceEnabled(org.slf4j.Marker)

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### info

    public void info(java.lang.String message, java.lang.Object... objects)

  Logs the given message at info log level.
  Parameters:
    `message` - the log message.
    `objects` - the log message parameters.

### isEnabled

    public boolean isEnabled(LogLevel level)

  Returns true if the given log level is enabled for this logger.

### isLifecycleEnabled

    public boolean isLifecycleEnabled()

  Returns true if lifecycle log level is enabled for this logger.

### isQuietEnabled

    public boolean isQuietEnabled()

  Returns true if quiet log level is enabled for this logger.

### lifecycle

    public void lifecycle(java.lang.String message)

  Logs the given message at lifecycle log level.
  Parameters:
    `message` - the log message.

### lifecycle

    public void lifecycle(java.lang.String message, java.lang.Object... objects)

  Logs the given message at lifecycle log level.
  Parameters:
    `message` - the log message.
    `objects` - the log message parameters.

### lifecycle

    public void lifecycle(java.lang.String message, java.lang.Throwable throwable)

  Logs the given message at lifecycle log level.
  Parameters:
    `message` - the log message.
    `throwable` - the exception to log.

### log

    public void log(LogLevel level, java.lang.String message)

  Logs the given message at the given log level.
  Parameters:
    `level` - the log level.
    `message` - the log message.

### log

    public void log(LogLevel level, java.lang.String message, java.lang.Object... objects)

  Logs the given message at the given log level.
  Parameters:
    `level` - the log level.
    `message` - the log message.
    `objects` - the log message parameters.

### log

    public void log(LogLevel level, java.lang.String message, java.lang.Throwable throwable)

  Logs the given message at the given log level.
  Parameters:
    `level` - the log level.
    `message` - the log message.
    `throwable` - the exception to log.

### quiet

    public void quiet(java.lang.String message)

  Logs the given message at quiet log level.
  Parameters:
    `message` - the log message.

### quiet

    public void quiet(java.lang.String message, java.lang.Object... objects)

  Logs the given message at quiet log level.
  Parameters:
    `message` - the log message.
    `objects` - the log message parameters.

### quiet

    public void quiet(java.lang.String message, java.lang.Throwable throwable)

  Logs the given message at quiet log level.
  Parameters:
    `message` - the log message.
    `throwable` - the exception to log.

Groovy Documentation